import React from 'react';
import './button.scss'

import classnames from 'classnames'

const Button = ({children, active, ...rest}) => {
    return (
        <button className={classnames('custom-button', {active})} {...rest}>
            {children}
        </button>
    );
};

export default Button;